# outline.cpp File Reference

Implementation of the "Outline" layer. More...

`#include "outline.h"`
`#include <synfig/string.h>`
`#include <synfig/time.h>`
`#include <synfig/context.h>`
`#include <synfig/paramdesc.h>`
`#include <synfig/renddesc.h>`
`#include <synfig/surface.h>`
`#include <synfig/value.h>`
`#include <synfig/valuenode.h>`
`#include <ETL/calculus>`
`#include <ETL/bezier>`
`#include <ETL/hermite>`
`#include <vector>`
`#include <synfig/valuenode_bline.h>`

## Defines

#define | SAMPLES 50
#define | ROUND_END_FACTOR (4)
#define | CUSP_THRESHOLD (0.40)
#define | SPIKE_AMOUNT (4)
#define | NO_LOOP_COOKIE synfig::Vector(84951305,7836658)
#define | EPSILON (0.000000001)
#define | CUSP_TANGENT_ADJUST (0.025)
#define | bline bline_

## Functions

| SYNFIG_LAYER_INIT (Outline)
| SYNFIG_LAYER_SET_NAME (Outline,"outline")
| SYNFIG_LAYER_SET_LOCAL_NAME (Outline, N_("Outline"))
| SYNFIG_LAYER_SET_CATEGORY (Outline, N_("Geometry"))
| SYNFIG_LAYER_SET_VERSION (Outline,"0.2")
| SYNFIG_LAYER_SET_CVS_ID (Outline,"$Id$")
Point | line_intersection (const Point &p1, const Vector &t1, const Point &p2, const Vector &t2)

## Detailed Description

Implementation of the "Outline" layer.

$Id$

## Define Documentation

#define SAMPLES 50

Referenced by Region::sync(), and Outline::sync().

#define ROUND_END_FACTOR (4)

Referenced by Outline::sync().

#define CUSP_THRESHOLD (0.40)

Referenced by Outline::sync().

#define SPIKE_AMOUNT (4)

Referenced by Outline::sync().

#define NO_LOOP_COOKIE synfig::Vector(84951305,7836658)

Referenced by Outline::sync().

#define EPSILON (0.000000001)

Referenced by IsZero(), synfig::ValueNode_BLine::operator()(), and Outline::sync().

#define CUSP_TANGENT_ADJUST (0.025)

Referenced by Outline::sync().

#define bline bline_

Referenced by synfig::ValueNode_BLineCalcWidth::operator()(), synfig::ValueNode_BLineCalcVertex::operator()(), and synfig::ValueNode_BLineCalcTangent::operator()().

## Function Documentation

SYNFIG_LAYER_INIT | ( | Outline |  | ) |

SYNFIG_LAYER_SET_NAME | ( | Outline | ,
|  | "outline" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | Outline | ,
|  | N_("Outline") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | Outline | ,
|  | N_("Geometry") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | Outline | ,
|  | "0.2" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | Outline | ,
|  | "$Id$" |  |
| ) |  |  |

Point line_intersection | ( | const Point & | p1,
|  | const Vector & | t1,
|  | const Point & | p2,
|  | const Vector & | t2 |
| ) |  |  |

References f.

Referenced by Outline::sync().